<html>
  <head>
    <link rel="stylesheet" href="../estils/hoja.css" type="text/css">
    <title>Internet Relay Chat</title>
  </head>

  <body leftmargin="0" topmargin="0" bgcolor="#8F0000">
    <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
      <tr>
        <!-- Men dret -->

        <td align="left" valign="top" width="100" bgcolor="#4F0000">
          <?php include("../menu.inc") ?>
        </td>
        <!-- Capalera -->

        <td align="left" valign="top" width="100%" class="centered">
          <h2>Departament d'Enginyeria Informtica i Matemtiques</h2>
          <img src="images/separador.gif"><br>
          <br>

          <div align="left">
            <blockquote>
              <!-- Comenament del cos -->
              <h2>Servei iRC-DeiM</h2>
              IRC (Internet Relay Chat) s un sistema de comunicaci en temps real per usuaris
              d'internet. Permet que diversos usuaris es reuneixin simultniament per fer
              tertulies o debats en el moment en mode textual, no com als coneguts frums que la resposta no
              es inmediata.<br><br>
              El servidor del DEIM ofereix aquest servei a estudiants i professor de forma que
              podrien quedar grups d'alumnes/professors per resoldre dubtes, parlar sobre
              prctiques, fer conferencies virtuals amb persones d'altres universitats, etc...
              <br><br>
              A ms, com ja es caracterstic del servidor del DEIM, hem tingut com a prioritat
              la privacitat de les persones que facin s d'aquest servei, per aix la nica forma de conectar-se
              a ell s mitjanant un tunel SSL, de forma que totes les converses que tinguin lloc
              viatjaran per la xarxa xifrades.
              <br><br>
              A ms del servei d'IRC, s'han incorporat uns Bots que permeten registrar nicks
              (el pseudonim que s'usa per comunicar-se), registrar canals (les sales a on els usuaris
              entren per parlar), entre altres coses. D'aquesta forma el professors podrien
              solicitar la reserva d'un nick i un canal per tindre ells el control d'aquestos i
              utilitzar-los per la seva comunicaci amb els alumnes.<br><br>
              Per conectar-se cal primer establir la comunicaci amb el tunel SSL per que les
              dades viatgin xifrades, per realitzar aix utilitzarem un programa anomenat 
              <a href="http://www.stunnel.org">stunnel</a> del qual existeixen versions tant
              per Windows com per GNU/Linux. Ja tenim una versi preparada per executar-se amb
              un .bat configurat que pot descargar d'aqui: <a href="../aplicacions/IRC/Windows/stunnel.zip">stunnel-irc</a>
              <br><br>
              A ms, necessitar un client d'IRC per conectar-se i poder comunicar-se, seguidament
              hi ha una llista dels ms coneguts:<br><br>
              <b>Sistemes Windows</b><br>
              <li><a href="http://www.mirces.com">mIRC</a> El ms conegut.</li>
              <li><a href="http://www.ircap.com">IRCap</a> Script que utilitza mIRC.</li>
              <li><a href="http://www.xchat.org">XChat</a> Avantatge: s lliure.</li>
<br><br>
              <b>Sistemes GNU/Linux</b><br>
              <li><a href="http://www.bitchx.org">BitchX</a> Client de consola.</li>
              <li><a href="http://lunascript.sourceforge.net">Luna</a> Script per BitchX.</li>
              <li><a href="http://www.xchat.org">XChat</a> Client grfic que usa les llibreries GTK. </li>
              <li><a href="http://www.kvirc.net">Kvirc</a> Client grfic que usa les llibreries QT</li>
              <br><br>
              Per conectar-se a iRC-DeiM noms ha de seguir els segents pasos:<br>
              1.- Baixar i descomprimir <a href="../aplicacions/IRC/Windows/stunnel.zip">stunnel</a><br>
              2.- Executar stunnel-irc.bat<br>
              3.- Arrancar el client d'irc que hagui escollit<br>
              4.- Conectar-se a localhost al port 6667 o b de forma grfica o b especificant la segent comanda: /server localhost<br>
              <br>
              Alguns dels clients d'IRC, com per exemple XChat, si han sigut compilats amb suport SSL,
              podria realitzar conexions sense haver d'utilitzar stunnel. Noms indicant com
              a servidor deim.etse.urv.es (port 5557), que realitzi una conexi segura amb SSL i que accepti certificats invlids (aix es necessari perqu el certificat ha sigut firmat per nosaltres mateixos i no per una entitat externa).<br><br>
              Per aquelles persones que treballin amb GNU/Linux poden baixar-se el codi de
              <a href="../aplicacions/IRC/Linux/stunnel-3.22.tar.gz">stunnel</a> i compilar-lo, o
              utilitzar algun paquet de la seva distribuci (s important que sigui la versi
              stunnel 3.22). Quan estigui instalat, la comanda per executar-ho seria:
              stunnel -c -d 127.0.0.1:6667 -r deim.etse.urv.es:5557. Per entrar amb el client
              es seguiria els pasos 3 i 4 indicats anteriorment.<br><br>
              * Fixeu-vos que el port pel que escolta el nostre servidor d'irc al deim.ete.urv.es es el 5557 i no l'habitual 6667.<br><br>
              Un cop dintre, les comandes ms bsiques sn:<br><br>
              <center>
              <table width="70%" border="0">
              <tr>
                <td>/server nom-servidor</td>
                <td>Conexi a un servidor d'IRC</td>
              </tr><tr>
                <td>/list</td>
                <td>Listar els canals</td>
              </tr><tr>
                <td>/join #urv</td>
                <td>Entrar en el canal anomenat urv<td>
              </tr><tr>
                <td>/part</td>
                <td>Sortir del canal o escribim la comanda</td>
              </tr><tr>
                <td>/query nick</td>
                <td>Iniciar una conversa privada amb un altre usuari</td>
              </tr>
              </tr><tr>
                <td>/msg help help</td>
                <td>Demana ajuda sobre els Bots</td>
              </table></center>
              <br><br>
              Aquestes noms sn unes de les poques comandes que existeixen. Per la xarxa
              hi ha molt tutorials sobre IRC d'utilitat per apendre noves.<br><br>
              <br><br><br>
              
            </blockquote>
          </div>
        </td>
      </tr>
    </table>
  </body>
</html>

